import { ILayoutProps as ICoreLayoutProps, IUseLayoutProps as ICoreUseLayoutProps, IUseLayoutResult } from "@reactionable/core/lib/ui/layout/Layout";
import { PropsWithChildren, ReactElement } from "react";
import { IBodyProps } from "./body/Body";
import { IFooterProps } from "./footer/Footer";
import { IHeaderProps } from "./header/Header";
export declare type ILayoutProps = ICoreLayoutProps<IHeaderProps, IBodyProps, IFooterProps>;
export declare type IUseLayoutProps = ICoreUseLayoutProps<ILayoutProps>;
export declare function Layout(props: PropsWithChildren<ILayoutProps>): ReactElement;
export declare function useLayout(props: IUseLayoutProps): IUseLayoutResult;
