import { IFormData, IFormValues } from "@reactionable/core/lib/form/Form";
import { IUseModalResult } from "@reactionable/core/lib/ui/modal/Modal";
import { IUseModalFormProps as ICoreUseModalFormProps } from "@reactionable/core/lib/ui/modal/useModalForm";
import { IFormButtonProps } from "../form/FormButton";
import { IModalProps } from "./Modal";
export declare type IUseModalFormProps<Values extends IFormValues, Data extends IFormData, FormButtonProps extends IFormButtonProps, ModalProps extends IModalProps> = ICoreUseModalFormProps<Values, Data, FormButtonProps, ModalProps>;
export declare function useModalForm<Values extends IFormValues, Data extends IFormData, FormButtonProps extends IFormButtonProps, ModalProps extends IModalProps>(props: IUseModalFormProps<Values, Data, FormButtonProps, ModalProps>): IUseModalResult;
